/**
 * 登录请求
 * 
 */
import { z } from "zod";

export const LoginRequestSchema = z.object({
  email: z.string().default(""),
  username: z.string().default(""),
  password: z.string(),
  platform: z.string(),
  guestId: z.string().default(""),
  isTestAccount: z.boolean().default(false),
});

export type LoginRequestInput = z.input<typeof LoginRequestSchema>;
export type LoginRequestData = z.output<typeof LoginRequestSchema>;
